-- Ragespec v1 by Snu and TyroneSama
-- Modified as a temporary workaround for specbombing on SLIPTIDE DIMENSION
-- ACHTUNG, UGLY HACKS AHEAD

-- first a command to toggle it on and off
local cv_ragespec = CV_RegisterVar({
	name = "hm_specbomb",
	defaultvalue = "Off",
	flags = CV_NETVAR,
	possiblevalue = CV_OnOff
})

local cv_antisoftlock = CV_RegisterVar({
	name = "hm_specbomb_antisoftlock",
	defaultvalue = "Off",
	flags = CV_NETVAR,
	possiblevalue = CV_OnOff
})

-- RAGESPEC FUNCTIONS
local function ks_countplayers()
	local pnum = 1 -- we make it 1 to account for the ragespecing player
	for p in players.iterate
		if p.spectator then continue end -- dont count specators
		pnum = $+1
	end
	return pnum
end

local function ks_countplayers2()
	local pnum = 0
	for p in players.iterate
		pnum = $+1
	end
	return pnum
end

local function ks_countplayers3() -- lol
	local pnum = 0
	for p in players.iterate
		if not p.spectator
			pnum = $+1
		end
	end
	return pnum
end

local ragespec_panictimer = 0
addHook("NetVars", function(net)
	ragespec_panictimer = net(ragespec_panictimer)
end)

-- now for the hook containing player stuff
addHook("ThinkFrame", do
	local ragespec_panicout = true -- (TY: basic softlock handler)
	if ks_countplayers3() == 0 then
		ragespec_panicout = false
	end
	for p in players.iterate
		if not p.exiting and not p.rs_check2 and not (p.pflags & PF_TIMEOVER) and not p.spectator then -- (TY: if any player is still racing, we don't need to panic)
			ragespec_panicout = false
		end
		local mo = p.mo
		if cv_ragespec.value -- needs to be on
			if not p.spectator
				p.rs_check = true -- use this to check if we should blow them up
				-- we need to save these since mo doesnt exist
				p.rs_x, p.rs_y, p.rs_z = mo.x, mo.y, mo.z -- x, y, z coords
				p.rs_scale, p.rs_angle = mo.scale, mo.angle -- player's scale and angle
			else
				if p.rs_check
					if leveltime > 6*TICRATE + (3*TICRATE/4) + (20*TICRATE) -- check for the 20 second grace a spectator can rejoin
					and not p.exiting -- you cant ragespec after finishing a race
					and not G_BattleGametype() -- doesnt really matter in battle
						if (ks_countplayers() > 1) -- not freeplay
							if not p.rs_check2
								-- lets taunt them (TY: let's not!)
								-- chatprint("\x82".."*"..tauntStrings[P_RandomRange(1, #tauntStrings)])
							end
							-- now we blow them up
							COM_BufInsertText(p, "tunes KRFAIL") -- we need S_ChangeMusicInternal :please:
							if (true) -- we got a 1v1 going on (TY: no we don't LOL)
								p.spectator = 0 -- force em back in
								if not p.rs_check2
									p.rs_check2 = 1 -- start the purgatory
									if p.lives
										-- first lets trigger the timeover
										p.lives = 0
										p.pflags = $|PF_TIMEOVER
										p.kartstuff[k_position] = ks_countplayers3() -- don't know if this works lmao
										p.realtime = 99999999
										p.kartstuff[k_hyudorotimer] = 6*TICRATE
										P_DamageMobj(p.mo, nil, nil, 10000)
										
										-- now we spawn an explosion since it doesnt actually spawn one
										local boom = P_SpawnMobj(p.rs_x, p.rs_y, p.rs_z, MT_FZEROBOOM)
										boom.scale = p.rs_scale
										boom.angle = p.rs_angle
										boom.fuse = 5*TICRATE -- make sure it doesnt stay forever
									end
								else
									chatprintf(p, "\x83*You can't become a spectator during a race.", true)
								end
							else
								p.rs_check2 = nil -- reset it just for some weird cases to be safe
								if p.lives -- dont spawn an explosion if they already blew up due to DNF
									local boom = P_SpawnMobj(p.rs_x, p.rs_y, p.rs_z, MT_FZEROBOOM)
									boom.scale = p.rs_scale
									boom.angle = p.rs_angle
									boom.fuse = 5*TICRATE -- make sure it doesnt stay forever
								end
							end
						end
					end
					p.rs_check = nil
				end
			end
			
			if p.rs_check2 -- purgatory
				p.spectator = 0 -- make sure they STAY in purgatory
				p.kartstuff[k_hyudorotimer] = 6*TICRATE
				p.rs_check2 = $+1
			end
		else
			p.rs_x, p.rs_y, p.rs_z = nil, nil, nil
			p.rs_scale, p.rs_angle = nil, nil
			p.rs_check, p.rs_check2 = nil, nil
		end
	end
	if ragespec_panicout and (ks_countplayers2() > 0) and cv_ragespec.value then
		ragespec_panictimer = $ + 1
		if ragespec_panictimer > (32 * TICRATE) and cv_antisoftlock.value then -- shut the up
			chatprint("\x83*A mod interaction caused a softlock. Aborting round.")
			ragespec_panictimer = 0
			G_ExitLevel()
		end
	else
		ragespec_panictimer = 0
	end
end)
-- reset player vars
addHook("MapLoad", function()
	for p in players.iterate
		p.rs_x, p.rs_y, p.rs_z = nil, nil, nil
		p.rs_scale, p.rs_angle = nil, nil
		p.rs_check, p.rs_check2 = nil, nil
	end
	ragespec_panictimer = 0
end)

addHook("IntermissionThinker", function()
	for p in players.iterate
		if p.rs_check2 and not p.spectator
			p.rs_check2 = false
			p.spectator = true
		end
	end
end)

-- make sure players know they're in purgatory during a 1v1
hud.add(function(v, p, c)
	if not cv_ragespec.value then return end
	
	if (p and p.valid)
		if (p.rs_check2 and p.rs_check2 > (2*TICRATE))
			local maxfade = v.localTransFlag(v)>>V_ALPHASHIFT    -- value of V_HUDTRANS
			local fade = max(maxfade, (9 - ((p.rs_check2 - (2*TICRATE)))/4))
			
			if fade <= 9
				if (splitscreen)
					if (splitscreen) == 1 -- 2 players
						local hy = c.pnum == 2 and 176 or 76 -- starting pos for strings
						local flags = (c.pnum == 2 and V_SNAPTOBOTTOM or 0)|(fade<<V_ALPHASHIFT)
						
						v.drawString(160, hy, ("Midrace spectating is disabled."), flags, "center")
						v.drawString(160, hy+9, ("Wait until the next round."), flags, "center")
					else -- 3+ players
						local hx = (c.pnum == 2 or c.pnum == 4) and 240 or 80
						local hy = c.pnum > 2 and 176 or 76
						local flags = (c.pnum > 2 and V_SNAPTOBOTTOM or 0)|((c.pnum == 2 or c.pnum == 4) and V_SNAPTORIGHT or V_SNAPTOLEFT)|(fade<<V_ALPHASHIFT)
						
						v.drawString(hx-(v.stringWidth("Midrace spectating is disabled.", 0, "thin")/2), hy, "Midrace spectating is disabled.", flags, "thin")
						v.drawString(hx-(v.stringWidth("Wait until the next round.", 0, "thin")/2), hy+9, "Wait until the next round.", flags, "thin")
					end
				else
					v.drawString(160, 76, ("Midrace spectating is disabled."), V_SNAPTOBOTTOM|(fade<<V_ALPHASHIFT), "center")
					v.drawString(160, 85, ("Wait until the next round."), V_SNAPTOBOTTOM|(fade<<V_ALPHASHIFT), "center")
				end
			end
		end
	end
end)