local hm_automate = CV_RegisterVar({
	name = "hm_automate",
	defaultvalue = "Off",
	flags = CV_NETVAR,
	possiblevalue = CV_OnOff
})

local RS_THINK, RS_VOTE, RS_INT = 1, 2, 3
local roundstatus = RS_THINK
addHook("ThinkFrame", function()
	if not hm_automate.value then return end
	if roundstatus != RS_THINK then
		CONS_Printf(server, "hm_automate is on. Running hm_roundstart...")
		COM_BufAddText(server, "hm_roundstart")
	end
	roundstatus = RS_THINK
end)
addHook("IntermissionThinker", function()
	if not hm_automate.value then return end
	if roundstatus != RS_INT then
		CONS_Printf(server, "hm_automate is on. Running hm_intermissionstart...")
		COM_BufAddText(server, "hm_intermissionstart")
	end
	roundstatus = RS_INT
end)
addHook("VoteThinker", function()
	if not hm_automate.value then return end
	if roundstatus != RS_VOTE then
		CONS_Printf(server, "hm_automate is on. Running hm_votestart...")
		COM_BufAddText(server, "hm_votestart")
	end
	roundstatus = RS_VOTE
end)