local bigUglyColorLookupTable = {"White", "Silver", "Grey", "Nickel", "Black", "Skunk", "Fairy", "Popcorn", "Artichoke", "Pigeon", "Sepia", "Beige", "Walnut", "Brown", "Leather", "Salmon", "Pink", "Rose", "Brick", "Cinnamon", "Ruby", "Raspberry", "Cherry", "Red", "Crimson", "Maroon", "Lemonade", "Flame", "Scarlet", "Ketchup", "Dawn", "Sunset", "Creamsicle", "Orange", "Pumpkin", "Rosewood", "Burgundy", "Tangerine", "Peach", "Caramel", "Cream", "Gold", "Royal", "Bronze", "Copper", "Quarry", "Yellow", "Mustard", "Crocodile", "Olive", "Vomit", "Garden", "Lime", "Handheld", "Tea", "Pistachio", "Moss", "Camouflage", "Robo-Hood", "Mint", "Green", "Pinetree", "Emerald", "Swamp", "Dream", "Plague", "Algae", "Caribbean", "Azure", "Aqua", "Teal", "Cyan", "Jawz", "Cerulean", "Navy", "Platinum", "Slate", "Steel", "Thunder", "Rust", "Wristwatch", "Jet", "Sapphire", "Periwinkle", "Blue", "Blueberry", "Nova", "Pastel", "Moonslam", "Ultraviolet", "Dusk", "Bubblegum", "Purple", "Fuchsia", "Toxic", "Mauve", "Lavender", "Byzantium", "Pomegranate", "Lilac"}
local colLookup = {	[SKINCOLOR_WHITE] = "\x80",	[SKINCOLOR_SILVER] = "\x80",	[SKINCOLOR_SLATE] = "\x80",		[SKINCOLOR_ULTRAVIOLET] = "\x81",	[SKINCOLOR_PURPLE] = "\x81",	[SKINCOLOR_FUCHSIA] = "\x81",		[SKINCOLOR_POPCORN] = "\x82",	[SKINCOLOR_QUARRY] = "\x82",	[SKINCOLOR_YELLOW] = "\x82",	[SKINCOLOR_MUSTARD] = "\x82",	[SKINCOLOR_CROCODILE] = "\x82",	[SKINCOLOR_OLIVE] = "\x82",		[SKINCOLOR_LIME] = "\x83",	[SKINCOLOR_HANDHELD] = "\x83",	[SKINCOLOR_MOSS] = "\x83",	[SKINCOLOR_CAMOUFLAGE] = "\x83",	[SKINCOLOR_ROBOHOOD] = "\x83",	[SKINCOLOR_MINT] = "\x83",	[SKINCOLOR_GREEN] = "\x83",	[SKINCOLOR_PINETREE] = "\x83",	[SKINCOLOR_ALGAE] = "\x83",	[SKINCOLOR_PLAGUE] = "\x83",	[SKINCOLOR_EMERALD] = "\x83",	[SKINCOLOR_SWAMP] = "\x83",	[SKINCOLOR_DREAM] = "\x83",		[SKINCOLOR_PERIWINKLE] = "\x84",	[SKINCOLOR_BLUE] = "\x84",	[SKINCOLOR_BLUEBERRY] = "\x84",	[SKINCOLOR_NOVA] = "\x84",		[SKINCOLOR_CINNAMON] = "\x85",	[SKINCOLOR_RUBY] = "\x85",	[SKINCOLOR_RASPBERRY] = "\x85",	[SKINCOLOR_CHERRY] = "\x85",	[SKINCOLOR_RED] = "\x85",	[SKINCOLOR_CRIMSON] = "\x85",	[SKINCOLOR_MAROON] = "\x85",	[SKINCOLOR_FLAME] = "\x85",	[SKINCOLOR_SCARLET] = "\x85",	[SKINCOLOR_KETCHUP] = "\x85",		[SKINCOLOR_GREY] = "\x86",	[SKINCOLOR_NICKEL] = "\x86",	[SKINCOLOR_BLACK] = "\x86",	[SKINCOLOR_SKUNK] = "\x86",	[SKINCOLOR_JET] = "\x86",		[SKINCOLOR_DAWN] = "\x87",	[SKINCOLOR_SUNSET] = "\x87",	[SKINCOLOR_CREAMSICLE] = "\x87",	[SKINCOLOR_ORANGE] = "\x87",	[SKINCOLOR_PUMPKIN] = "\x87",	[SKINCOLOR_ROSEWOOD] = "\x87",	[SKINCOLOR_BURGUNDY] = "\x87",	[SKINCOLOR_TANGERINE] = "\x87",		[SKINCOLOR_CARIBBEAN] = "\x88",	[SKINCOLOR_AZURE] = "\x88",	[SKINCOLOR_AQUA] = "\x88",	[SKINCOLOR_TEAL] = "\x88",	[SKINCOLOR_CYAN] = "\x88",	[SKINCOLOR_JAWZ] = "\x88",	[SKINCOLOR_CERULEAN] = "\x88",	[SKINCOLOR_NAVY] = "\x88",	[SKINCOLOR_SAPPHIRE] = "\x88",		[SKINCOLOR_PASTEL] = "\x89",	[SKINCOLOR_MOONSLAM] = "\x89",	[SKINCOLOR_DUSK] = "\x89",	[SKINCOLOR_TOXIC] = "\x89",	[SKINCOLOR_MAUVE] = "\x89",	[SKINCOLOR_LAVENDER] = "\x89",	[SKINCOLOR_BYZANTIUM] = "\x89",	[SKINCOLOR_POMEGRANATE] = "\x89",		[SKINCOLOR_GOLD] = "\x8A",	[SKINCOLOR_ROYAL] = "\x8A",	[SKINCOLOR_BRONZE] = "\x8A",	[SKINCOLOR_COPPER] = "\x8A",	[SKINCOLOR_THUNDER] = "\x8A",		[SKINCOLOR_ARTICHOKE] = "\x8B",	[SKINCOLOR_VOMIT] = "\x8B",	[SKINCOLOR_GARDEN] = "\x8B",	[SKINCOLOR_TEA] = "\x8B",	[SKINCOLOR_PISTACHIO] = "\x8B",		[SKINCOLOR_PIGEON] = "\x8C",	[SKINCOLOR_PLATINUM] = "\x8C",	[SKINCOLOR_STEEL] = "\x8C",		[SKINCOLOR_FAIRY] = "\x8D",	[SKINCOLOR_SALMON] = "\x8D",	[SKINCOLOR_PINK] = "\x8D",	[SKINCOLOR_ROSE] = "\x8D",	[SKINCOLOR_BRICK] = "\x8D",	[SKINCOLOR_LEMONADE] = "\x8D",	[SKINCOLOR_BUBBLEGUM] = "\x8D",	[SKINCOLOR_LILAC] = "\x8D",		[SKINCOLOR_SEPIA] = "\x8E",	[SKINCOLOR_BEIGE] = "\x8E",	[SKINCOLOR_WALNUT] = "\x8E",	[SKINCOLOR_BROWN] = "\x8E",	[SKINCOLOR_LEATHER] = "\x8E",	[SKINCOLOR_RUST] = "\x8E",	[SKINCOLOR_WRISTWATCH] = "\x8E",		[SKINCOLOR_PEACH] = "\x8F",	[SKINCOLOR_CARAMEL] = "\x8F",	[SKINCOLOR_CREAM] = "\x8F",}
local starttime = 6 * TICRATE + (3 * TICRATE / 4)
local boringskins = {["sonic"] = 1, ["tails"] = 1, ["knuckles"] = 1, ["eggman"] = 1, ["metalsonic"] = 1, ["flicky"] = 1, ["motobug"] = 1, ["amy"] = 1, ["mighty"] = 1, ["ray"] = 1, ["espio"] = 1, ["vector"] = 1, ["chao"] = 1, ["gamma"] = 1, ["chaos"] = 1, ["shadow"] = 1, ["rouge"] = 1, ["herochao"] = 1, ["darkchao"] = 1, ["cream"] = 1, ["omega"] = 1, ["blaze"] = 1, ["silver"] = 1, ["wonderboy"] = 1, ["arle"] = 1, ["nights"] = 1, ["sakura"] = 1, ["ulala"] = 1, ["beat"] = 1, ["vyse"] = 1, ["aiai"] = 1, ["kiryu"] = 1, ["aigis"] = 1, ["miku"] = 1, ["doom"] = 1}
local IRONMAN_OFF, IRONMAN_ON, IRONMAN_JART = 0, 1, 2


local function ironreminder(p)
	if not p.HMrandomcount then p.HMrandomcount = 0 end
	p.HMrandomcount = $ + 1
	if p.HMrandomcount == 10 then
		S_StartSound(nil, sfx_cdfm20, p)
		CONS_Printf(p, "Why not try \130ironman \128in console to automatically randomize every round?")
	end
end

local function randomskin(p, ...)
	local index = HM_RandomRange(1, #skins) - 1
	local newskin = skins[index]
	S_StartSound(nil, newskin.soundsid[sfxinfo[sfx_khitem].skinsound], p)
	local sanitizedcolor = colLookup[newskin.prefcolor] and colLookup[newskin.prefcolor] or ""
	COM_BufAddText(p, "skin "..newskin.name)
	CONS_Printf(p, "Trying to change to "..sanitizedcolor..newskin.realname.." \128("..newskin.kartspeed.."/"..newskin.kartweight..")...")
	ironreminder(p)
end
COM_AddCommand("randomskin", randomskin)
COM_AddCommand("randomchar", randomskin)
COM_AddCommand("randomcharacter", randomskin)

local function jrandomskin(p, ...)
	local index = 0
	local bail = 0
	while boringskins[skins[index].name]
		index = HM_RandomRange(1, #skins) - 1
		bail = $ + 1
		if bail == 100 then
			CONS_Printf(p, "...Huh. Couldn't find a community character to change to. How embarassing.")
			return
		end
	end
	local newskin = skins[index]
	S_StartSound(nil, newskin.soundsid[sfxinfo[sfx_khitem].skinsound], p)
	COM_BufAddText(p, "skin "..newskin.name)
	local sanitizedcolor = colLookup[newskin.prefcolor] and colLookup[newskin.prefcolor] or ""
	CONS_Printf(p, "Trying to change to "..sanitizedcolor..newskin.realname.." \128("..newskin.kartspeed.."/"..newskin.kartweight..")...")
	ironreminder(p)
end

local function randomcolor(p, ...)
	local index = P_RandomRange(1, #bigUglyColorLookupTable)
	S_StartSound(nil, sfx_cdpcm4, p)
	COM_BufAddText(p, "color "..bigUglyColorLookupTable[index])
	CONS_Printf(p, "Tried setting your color to "..colLookup[index]..bigUglyColorLookupTable[index].."\128...")
end
COM_AddCommand("randomcolor", randomcolor)
local function ironman(p, ...)
	if p.HMrandomironman then
		p.HMrandomironman = IRONMAN_OFF
		S_StartSound(nil, sfx_cdfm20, p)
		CONS_Printf(p, "\130IRONMAN \128deactivated...lame.")
	else
		p.HMrandomironman = IRONMAN_ON
		S_StartSound(nil, sfx_cdfm20, p)
		p.HMrandomcount = 69
		CONS_Printf(p, "\130IRONMAN \128activated. You'll automatically randomize every round.")
	end
end
COM_AddCommand("ironman", ironman)

local function jironman(p, ...)
	if p.HMrandomironman == IRONMAN_JART then
		p.HMrandomironman = false
		S_StartSound(nil, sfx_cdfm20, p)
		CONS_Printf(p, "\130IRONMAN (FORMA JARTE)\128 deactivated...lame.")
	else
		p.HMrandomironman = IRONMAN_JART
		S_StartSound(nil, sfx_cdfm20, p)
		p.HMrandomcount = 69
		CONS_Printf(p, "\130IRONMAN (FORMA JARTE)\128 activated. You'll automatically randomize to a community character every round.")
	end
end
COM_AddCommand("jironman", jironman)

addHook("ThinkFrame", function()
	HM_Random()
	for p in players.iterate
		if leveltime == 1 + #p and p.HMrandomironman then
			if p.HMrandomironman == IRONMAN_JART then
				jrandomskin(p)
			else
				randomskin(p)
			end
		end
	end
end)