freeslot("sfx_sysmsg")

local hostmod_sysmsg = CV_RegisterVar({
	name = "hm_autoshout",
	defaultvalue = "Off",
	flags = CV_NETVAR,
	possiblevalue = CV_OnOff
})
local hostmod_sysmsgname = CV_RegisterVar({
	name = "hm_shout_name",
	defaultvalue = "Cute Robot Girl",
	flags = CV_NETVAR,
	possiblevalue = nil
})
local hostmod_sysmsgcolor = CV_RegisterVar({
	name = "hm_shout_color",
	defaultvalue = "Pink",
	flags = CV_NETVAR,
	possiblevalue = hm_skincolor
})

local function dosay(p, msg)
	local wname = p.name
	if p == server and p.name == "Player 1" then
		wname = hostmod_sysmsgname.string
	end
	local wcol = 1
	if p.skincolor then
		wcol = p.skincolor
	else
		wcol = hostmod_sysmsgcolor.value
	end
	local tcol = hm_color[wcol]
	local topp = hm_color[ColorOpposite(wcol)]
	
	chatprint(tcol.."<\130~"..tcol..wname.."> "..tcol..msg)
	S_StartSound(nil, sfx_sysmsg)
end

local function hmsay(p, ...)
	if not ... then
		CONS_Printf(p, "What are you even trying to do?")
		return
	end
	local msg = table.concat({...}, " ")
	dosay(p, msg)
end
COM_AddCommand("shout", hmsay, 1)

addHook("PlayerMsg", function(source, msgtype, target, msg)
	if msgtype != 0 then return end
	if not (server == source or IsPlayerAdmin(source)) then return end
	if not hostmod_sysmsg.value then return end
	dosay(source, msg)
	return true
end)