-- Setting p.spectator directly with Lua causes...things.
-- The first draft of this script gave you spectator gravity while still controlling a kart.
-- I have no idea how this game keeps inventing new ways to be broken.
--
-- -Tyron, 2020-09-06

local function notvoting()
	server.HMDVran = false
end

addHook("ThinkFrame", notvoting)
addHook("IntermissionThinker", notvoting)

local function votespec(p, ...)
	if p.HMDV then
		p.HMDV = false
		CONS_Printf(p, "You will no longer spectate during voting.")
	else
		p.HMDV = true
		CONS_Printf(p, "You will automatically spectate during voting.")
	end
end
COM_AddCommand("votespec", votespec)

addHook("VoteThinker", function()
	for p in players.iterate
		if not server.HMDVran then
			if p.HMDV then
				if p.spectator then
					CONS_Printf(p, "You were spectating before voting started. \130You won't automatically rejoin.")
					p.HMDVrejoin = false
				else
					CONS_Printf(p, "You were automatically placed on spectate. You'll rejoin next round.")
					COM_BufAddText(p, "changeteam spectator") -- FUCK!!!!!!!
					p.HMDVrejoin = true
				end
			end
		end
	end
	server.HMDVran = true
end)

addHook("ThinkFrame", function()
	for p in players.iterate
		if leveltime == 0 then return end
		if leveltime == 1 then
			if p.HMDV and p.HMDVrejoin then
				COM_BufAddText(p, "changeteam playing") -- OFF!!!!!!!!!!
			end
		end
		p.HMDVrejoin = false
		p.HMDVsus = false
	end
end)